--[[
Tile Map example - Trying to show how to access tilemap data from gideros 
sewers_2 and tmx file made with Tiled

-- setTile() example on maps with multiple layers and tilesets

This code is MIT licensed, see http://www.opensource.org/licenses/mit-license.php
(C) 2010 - 2011 Gideros Mobile 
]]




counter = 1 --used to cycle textures on mouseUp

local tilemap = TiledMap.new("sewers_2.lua")
stage:addChild(tilemap)


local function onMouseUp(event)
	counter = counter+1
	
	
	local tiles = tilemap:getTileMap(2)  --this is the layer number. if nil, setTile call would be tiles[layer number]:setTile(...)
	currentTileX, currentTileY, currentTileFlip = tiles:getTile(3, 2)
	print("currentTileX, currentTileY, currentTileFlip", currentTileX, currentTileY, currentTileFlip)
	tiles:setTile(3, 2, 3, counter)
	
end

stage:addEventListener(Event.MOUSE_UP, onMouseUp)
